continuum-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Francis De Brabandere" <franci...@gmail.com>
Subject Re: 1.1-beta-4 to 1.1 final data migration
Date Mon, 26 Nov 2007 17:58:38 GMT
Hi,

Just do what is asked (you need to have maven 2 installed), go to
those url's, download the needed jar and add it to your local
repository using the mvn install:install-file command.
Apache can not host those files in their repository because of
licensing issues...

If you have a company-wide repository you can add them there using the
deploy:deploy-file command

As alternative option I suppose you can add the sun maven/maven2 repo
to your ~/.m2/settings.xml (not sure)

Francis

On 11/26/07, Emmanuel Venisse <emmanuel@venisse.net> wrote:
> Hmm, weird.
>
> As a workaround, I think you can use datamanagement 1.1 to migrate your data because
we don't have db schema (if I remember it correctly between 1.1-beta-4 and 1.1 final)
>
> Emmanuel
>
> Johnathan Gifford a écrit :
> > While trying to migrate our data from 1.1-beta-4, I'm getting the following error
trying to export data out of the beta install:
> >
> > 0 [main] INFO org.apache.maven.continuum.management.DataManagementCli  - Processing
Continuum database...
> > Exception in thread "main" org.apache.maven.artifact.resolver.MultipleArtifactsNotFoundException:
Missing:
> > ----------
> > 1) javax.resource:connector:jar:1.0
> >
> >   Try downloading the file manually from:
> >       http://java.sun.com/j2ee/connector/download.html
> >
> >   Then, install it using the command:
> >       mvn install:install-file -DgroupId=javax.resource -DartifactId=connector \
> >           -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
> >
> >   Path to dependency:
> >         1) dummy:dummy:pom:1.0
> >         2) org.apache.maven.continuum:data-management-jdo:jar:1.1-beta-4
> >         3) jpox:jpox:jar:1.1.6
> >         4) javax.resource:connector:jar:1.0
> >
> > 2) javax.transaction:jta:jar:1.0.1B
> >
> >   Try downloading the file manually from:
> >       http://java.sun.com/products/jta
> >
> >   Then, install it using the command:
> >       mvn install:install-file -DgroupId=javax.transaction -DartifactId=jta \
> >           -Dversion=1.0.1B -Dpackaging=jar -Dfile=/path/to/file
> >
> >   Path to dependency:
> >         1) dummy:dummy:pom:1.0
> >         2) org.apache.maven.continuum:data-management-jdo:jar:1.1-beta-4
> >         3) jpox:jpox:jar:1.1.6
> >         4) javax.transaction:jta:jar:1.0.1B
> >
> > ----------
> > 2 required artifacts are missing.
> >
> > for artifact:
> >   dummy:dummy:pom:1.0
> >
> > from the specified remote repositories:
> >   central (http://repo1.maven.org/maven2)
> >
> >         at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolveTransitively(DefaultArtifactResolver.java:305)
> >         at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolveTransitively(DefaultArtifactResolver.java:272)
> >         at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolveTransitively(DefaultArtifactResolver.java:243)
> >         at org.apache.maven.continuum.management.DataManagementCli.downloadArtifact(DataManagementCli.java:304)
> >         at org.apache.maven.continuum.management.DataManagementCli.processDatabase(DataManagementCli.java:185)
> >         at org.apache.maven.continuum.management.DataManagementCli.main(DataManagementCli.java:158)
> >
> > -------------------------------------
> >
> > I've installed the two missing artifacts and still continue to get the above error.
 Any suggestions where to look or what to run?
> >
> > Thanks,
> >
> > Johnathan
> >
> >
>
>


-- 
http://www.somatik.be
Microsoft gives you windows, Linux gives you the whole house.

Mime
View raw message